



#ifndef __IMAGER_TIFF_H
#define __IMAGER_TIFF_H

short swap_msb_lsb (short x); 	/* might be useful at other places, too */

char is_tiff (const char* filename);
int tiffread (image_type* img, const char* filename);
int tiffwrite (char* fname, image_type* img, int comp, char* comment, int st, int en);

char is_vsrt (const char* filename);
int vsrtread (image_type* img, const char* filename, int isflt);
int vsrtwrite (image_type* img, const char* filename, int st, int en);


int raw_write (image_type* img, const char* filename, int st, int en);
int DX_write (image_type* img, const char* filename, int st, int en, float zscale);

int pnm_write (image_type* img, const char* filename, int st, int en);
int pnm_read (image_type* img, const char* filename);

char get_filetype (const char* filename);

void save_main (image_type* img);

#endif

